Subject: Re: bug#11339: 24.1.50; read-{buffer,file-name}-completion-ignore-case fails on non-ascii

From: Stefan Monnier <[email-masked]>
Date: Thu, 07 Nov 2019 11:01:01 -0500

> So why do we have to rely on `try-completion' here?  Emacs built with
> the patch below shows the behavior I want with `C-x b' using the above
> recipe.  I assume that are bad side effects elsewhere, but I can't think
> of any offhand.

I think the core of the bug is reproduced below:

    M-: (let ((completion-ignore-case t)) (try-completion "bah" '("bah" "bAh")))

this returns t instead of returning "bah".
Probably an error in the handling of `matchcount` in `try-completion`.

        Stefan